// AtomStrategy.h: interface for the AtomStrategy class.
//
//////////////////////////////////////////////////////////////////////

#ifndef ATOMSTRATEGY_H
#define ATOMSTRATEGY_H

#ifndef SWIG
#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
#endif

#include "Atoms.h"

class AtomStrategy  
{
public:
	virtual ~AtomStrategy(){};		// Make sure to force destructors to be virtual
	virtual void Move(Atoms *atoms)=0;	// =0 forces derived classes to define Move
};

#endif // !defined(ATOMSTRATEGY_H)

