// MDParameterDialog.cpp : implementation file
//

#include "stdafx.h"
#include "MD.h"
#include "MDParameterDialog.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// MDParameterDialog dialog


MDParameterDialog::MDParameterDialog(CWnd* pParent /*=NULL*/)
	: CDialog(MDParameterDialog::IDD, pParent)
{
	//{{AFX_DATA_INIT(MDParameterDialog)
	m_numberAtoms = 0;
	m_dt = 0.0;
	m_temperature = 0.0;
	m_timeStepsBetweenObservations = 0;
	//}}AFX_DATA_INIT
}


void MDParameterDialog::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(MDParameterDialog)
	DDX_Text(pDX, IDC_EDIT2, m_numberAtoms);
	DDV_MinMaxInt(pDX, m_numberAtoms, 0, 50);
	DDX_Text(pDX, IDC_EDIT1, m_dt);
	DDX_Text(pDX, IDC_EDIT3, m_temperature);
	DDV_MinMaxDouble(pDX, m_temperature, 0., 10000000000000.);
	DDX_Text(pDX, IDC_EDIT4, m_timeStepsBetweenObservations);
	DDV_MinMaxInt(pDX, m_timeStepsBetweenObservations, 0, 10000000);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(MDParameterDialog, CDialog)
	//{{AFX_MSG_MAP(MDParameterDialog)
		// NOTE: the ClassWizard will add message map macros here
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// MDParameterDialog message handlers
