// UpdateStrategy.h: interface for the UpdateStrategy class.
//
//////////////////////////////////////////////////////////////////////

#ifndef UPDATESTRATEGY_H
#define UPDATESTRATEGY_H


#ifndef SWIG
#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
#endif


#include "AtomStrategy.h"

class UpdateStrategy : public AtomStrategy  
{
public:
	UpdateStrategy(double dt);
	virtual ~UpdateStrategy();
	virtual void Move(Atoms *atoms);
	double GetDt() const {return dt;}
	void SetDt(double dt) {this->dt = dt;}

protected:
	double dt;

};

#endif // !defined(UPDATESTRATEGY_H)

